## Espresso Lungo

<a href="https://travis-ci.org/espresso/espresso-lungo">
<img src="https://travis-ci.org/espresso/espresso-lungo.png" align="right"></a>

### Extra Functionality for [Espresso Framework](https://github.com/espresso/espresso)

## Install

```bash
$ gem install el
```

or add `gem 'el'` to your `Gemfile`

## Load

Ignore this if `el` added to `Gemfile` and `Bundler.require` used.

Otherwise you'll have to load `el` gem explicitly.

Just add `require 'el'` to the top of your app.

That's all. Now your `Espresso` applications contains extra functionality.

## Use

### CRUD

[Intro](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#intro) |
[Resource](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#resource) |
[Excluded Params](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#excluded-params) |
[Root](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#root) |
[Response](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#response) |
[Error Handler](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#error-handler) |
[Access Restriction](https://github.com/espresso/espresso-lungo/blob/master/docs/CRUD.md#access-restriction)

### Assets

[Specialized Tags](https://github.com/espresso/espresso-lungo/blob/master/docs/Assets.md#specialized-tags) |
[Mapper](https://github.com/espresso/espresso-lungo/blob/master/docs/Assets.md#assets-mapper) |
[Sprockets](https://github.com/espresso/espresso-lungo/blob/master/docs/Assets.md#sprockets)

### Content Helpers

[content_for](https://github.com/espresso/espresso-lungo/blob/master/docs/ContentHelpers.md#content_for) |
[capture_html](https://github.com/espresso/espresso-lungo/blob/master/docs/ContentHelpers.md#capture_html)

### [Tag Factory](https://github.com/espresso/espresso-lungo/blob/master/docs/TagFactory.md)

### [Cache Manager](https://github.com/espresso/espresso-lungo/blob/master/docs/Cache.md)


## Contributing

  - Fork `el` repository
  - optionally create a new branch
  - make your changes
  - submit a pull request

<hr>

<p>
  Issues/Bugs:
  <a href="https://github.com/espresso/espresso-lungo/issues">
    github.com/espresso/espresso-lungo/issues</a>
</p>
<p>
  Mailing List: <a href="https://groups.google.com/forum/?fromgroups#!forum/espresso-framework">
  groups.google.com/.../espresso-framework</a>
</p>
<p>
  IRC channel: #espressorb on irc.freenode.net
</p>


### Author - [Silviu Rusu](https://github.com/slivu).  License - [MIT](https://github.com/espresso/espresso-lungo/blob/master/LICENSE).
