module ELTest__content_helpers

  Spec.new self do
    include EL::TagFactory
    include EL::ContentHelpers

    Testing :content_for do
      content_for :assets do
        js_tag :jquery
      end

      is(content_for? :assets).kind_of? Proc
      is(content_for? :blah).nil?

      expected_html = '<script src="jquery.js" type="text/javascript"></script>'
      does(yield_content :assets).match? expected_html

      content_for :account do |name, email|
        form_tag! do
          input_tag(value: name) +
          input_tag(value: email)
        end
      end

      expected_html = '<form><input value="foo"><input value="foo@bar.com"></form>'
      does(yield_content :account, :foo, 'foo@bar.com').match? expected_html
    end

    Testing :capture_html do
      html = capture_html do
        js_tag(:jquery) +
        css_tag(:ui)
      end

      expected_html  = '<script src="jquery.js" type="text/javascript"></script>'
      expected_html << '<link href="ui.css" media="all" type="text/css" rel="stylesheet">'
      does(html).match? expected_html
    end

  end
end
