module ELTest__assets

  path1 = File.expand_path('../sprockets', __FILE__)
  path2 = File.expand_path('../assets', __FILE__)

  class SprocketsApp < E
    map :app

    def finder
      if asset = assets[params[:asset]]
        asset.pathname
      end
    end
  end

  Spec.new self do

    app E.new {
      assets_url '/assets'
      assets.append_path path1
      assets.append_path path2
      mount SprocketsApp
    }

    Testing :server do
      map :assets

      Should 'find files in assets/ folder' do
        get 'master.js'
        is(last_response).ok?
        does(/master\.js/).match_body?

        get 'master.png'
        is(last_response).ok?
        expect(last_response['Content-Type']) == 'image/png'
      end

      Should 'find files in sprockets/ folder' do
        get 'app.js'
        is(last_response).ok?
        does(/AppClass/).match_body?
        does(/UIClass/).match_body?

        get 'app.css'
        is(last_response).ok?
        does(/body/).match_body?
        does(/div/).match_body?
      end
    end

    Testing :finder do
      map :app

      get :finder, asset: 'app.js'
      expect(File.dirname(last_response.body)) == path1
      
      get :finder, asset: 'master.js'
      expect(File.dirname(last_response.body)) == path2
    end
  end

  Spec.new self do
    app E.new {
      root File.expand_path('..', __FILE__)
      assets_url '/assets'
      assets.append_path 'assets'
      assets.append_path 'sprockets'
      mount SprocketsApp
    }
    map :assets

    Testing 'append_path with relative paths' do
      Should 'find files in assets/ folder' do
        get 'master.js'
        is(last_response).ok?
        does(/master\.js/).match_body?

        get 'master.css'
        is(last_response).ok?
        does(/master\.css/).match_body?
      end

      Should 'find files in sprockets/ folder' do
        get 'app.css'
        is(last_response).ok?
        does(/body/).match_body?
      end
    end

    Testing 'finder with relative paths' do
      map :app

      get :finder, asset: 'app.js'
      expect(File.dirname(last_response.body)) == path1
      
      get :finder, asset: 'master.js'
      expect(File.dirname(last_response.body)) == path2
    end
    
  end
end
